# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSetGroupType, DXSetGroupTypeV

Function

Associate a type with a Group.

Syntax
`
#include <dx/dx.h>
`

Group DXSetGroupType(Group g, Type t, Category c, int rank, ...)
Group DXSetGroupTypeV(Group g, Type t, Category c, int rank, int *shape)

Functional Details

Associate a type `t`, category `c`, `rank`, and `shape`, (hereafter referred to as simply type), with Group `g`. When the Group type is set, all current members are checked for type, and all members added subsequently are checked for type. The type of a Group may be retrieved by `DXGetType`.

The type is one of the following:

    TYPE_BYTE            TYPE_HYPER        TYPE_SHORT
    TYPE_UBYTE           TYPE_INT          TYPE_USHORT
    TYPE_DOUBLE          TYPE_UINT         TYPE_STRING
    TYPE_FLOAT

The category is either `CATEGORY_REAL` or `CATEGORY_COMPLEX`.

Array Objects are always typed. Fields are typed if they contain a "data" component; their type is the same as that of the "data" component. Series, MultiGrids, and Composite Fields are typed if they contain typed Fields. `DXSetGroupType` may be used to explicitly type generic Groups. If typed, all Fields contained in the Group must match the type. Other Objects do not contain type information. `DXSetGroupType` needs to be used if the member Fields are manipulated so that the type of their "data" components, and therefore the Field type, changes.

Return Value

Returns `g` or returns `NULL` and sets an error code.

See Also

`DXNewGroup, DXSetEnumeratedMember, DXSetMember`

"Generic Operations".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]